Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## demos.antiSQLInjection
Enum ESQLInjectionType

    java.lang.Object
      java.lang.Enum<ESQLInjectionType>
          demos.antiSQLInjection.ESQLInjectionType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ESQLInjectionType>

    public enum ESQLInjectionType

extends java.lang.Enum<ESQLInjectionType>

Enum Constant Summary
`always_false_condition`
`always_true_condition`
`comment_at_the_end_of_statement`
`not_in_allowed_statement`
`stacking_queries`
`syntax_error`
`union_set`

Method Summary
`static ESQLInjectionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ESQLInjectionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### syntax_error

    public static final ESQLInjectionType syntax_error

### always_true_condition

    public static final ESQLInjectionType always_true_condition

### always_false_condition

    public static final ESQLInjectionType always_false_condition

### comment_at_the_end_of_statement

    public static final ESQLInjectionType comment_at_the_end_of_statement

### stacking_queries

    public static final ESQLInjectionType stacking_queries

### not_in_allowed_statement

    public static final ESQLInjectionType not_in_allowed_statement

### union_set

    public static final ESQLInjectionType union_set

Method Detail

### values

    public static final ESQLInjectionType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ESQLInjectionType c : ESQLInjectionType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ESQLInjectionType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD